Loading...
Searching...
No Matches
SPHLFLoggerHandle_t Struct Reference

Instance of a Lock Free Logger Entry Handle. More...

`#include <sphlflogger.h>`

## Public Attributes

SPHLFLogHeader_t * | entry
char * | next
unsigned short int | total_size
unsigned short int | remaining

## Detailed Description

Instance of a Lock Free Logger Entry Handle.

Contains fields required to: locate the entry, record the total space allocated to the entry, and manage the next location within the entry and remaining storage.

    Entry Handles should be allocated in private (local stack) storage
    to allow concurrent access to independent entries from multiple threads.

## Member Data Documentation

## entry

SPHLFLogHeader_t* SPHLFLoggerHandle_t::entry

address of the start of the event entry

## next

char* SPHLFLoggerHandle_t::next

address of the next avail byte(s) of storage

## remaining

unsigned short int SPHLFLoggerHandle_t::remaining

Remaining bytes of free storage in the entry

## total_size

unsigned short int SPHLFLoggerHandle_t::total_size

Total allocated size of the event entry

The documentation for this struct was generated from the following file:

- src/sphlflogger.h